package _VisualDVM.ServerObjectsCache;
import _VisualDVM.Global;
import _VisualDVM.TestingSystem.Common.Configuration.Configuration;
import _VisualDVM.TestingSystem.Common.Settings.Json.SettingsJson;
import _VisualDVM.TestingSystem.SAPFOR.SapforSettings.SapforSettings;

import java.util.Vector;
public class SapforConfigurationCache extends ConfigurationCache{
    public SapforConfigurationCache(Configuration configuration) {
        super(configuration);
    }
    public Vector<SapforSettings> getSettings(){
        Vector<SapforSettings> res = new Vector<>();
        for (SettingsJson settingsJson : settingsJson.array){
            if (Global.testingServer.db.sapforSettings.containsKey(settingsJson.id))
                res.add(Global.testingServer.db.sapforSettings.get(settingsJson.id));
        }
        return res;
    }
}
